Skip to Content
Chameleon Docs

Read page

A page as the PDF renders it, with its lines.

POST
/api/manuals/{id}/pages/{page}/read

A page as the PDF renders it, with its lines.

Authorization

headerx-api-key<token>

Scope: manuals:read

Path Parameters

id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
page*integer
Range1 <= value

Request Body

application/json
  1. body
pixelsPerPoint?number
Range0 < value <= 100
areRegionsOutlined?boolean

Response Body

The picture's link and size, the scale to PDF points, and the lines

application/json
  1. response
requestId*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
page*integer
picture*
scale*number
origin*array<any>
lines*array<>
outlinedRegionIds*array<string>
Example Request
curl -X POST 'https://www.chameleonlabs.org/api/manuals/string/pages/1/read' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "requestId": "string",  "page": 0,  "picture": {    "url": "http://example.com",    "expiresAt": "2019-08-24T14:15:22Z",    "path": "string",    "width": 0,    "height": 0  },  "scale": 0,  "origin": [    -100000,    -100000  ],  "lines": [    {      "text": "string",      "box": [        0,        0,        0,        0      ]    }  ],  "outlinedRegionIds": [    "string"  ]}